// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Item {
    id: root
    width: myApp.getWidth()
    height: myApp.getHeight()

    property variant current_page: null

    Component.onCompleted: {
        goLoading();
    }

    function goLoading() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Loading.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }
    }

    Connections {
        target: myApp
        onGoMainMenuPage: {
            goMainMenu();
        }
        onGoHelpPage: {
            goHelp();
        }
        onGoTablePage: {
            goTable();
        }
        onGoQuit: {
            Qt.quit();
        }
        onGoSettingsPage: {
            goSettings();
        }
        onGoStorePage: {
            goStore();
        }
        onGoSupportPage: {
            goSupport();
        }
        onGoLeaderboardsPage: {
            goLeaderboards();
        }
        onGoFriendsPage: {
            goFriends();
        }
        onGoResearchPage: {
            goResearch();
        }
    }


    function goMainMenu() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/MainMenu.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }
    function goHelp() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Help.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }
    function goTable() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Table.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }
    function goSettings() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Settings.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }
    function goSupport() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Support.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }
    function goLeaderboards() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Leaderboards.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }

    }

    function goFriends() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Friends.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }
    }

    function goStore() {
        myApp.storeOpenPaypal();
    }

    function goResearch() {
        if (root.current_page) {
            root.current_page.destroy();
        }
        var component = Qt.createComponent(myApp.getQmlRootPath() + "/Research.qml");
        if (component.status === Component.Ready) {
            root.current_page = component.createObject(root);
        }
    }
}
