import QtQuick 1.1
import "../ui/MainMenu"

Item {
    id: root
    anchors.fill: parent

    MainMenu {
        id: mainmenu
        anchors.fill: parent

        versionInfo.anchors.left: mainmenu.left
        versionInfo.anchors.top: mainmenu.top

        navigator.anchors.centerIn: mainmenu
        navigator.height: 160
        navigator.width: parent.width - 20
        navigator_font_size: 24
        navigator_button_width: 180

        myInfo.height: 64
        myInfo.width: 200
        myinfo_name_font_size: 28
        myinfo_chips_font_size: 24

        Component.onCompleted: {
            dialog_login.rect_login.width = 500;
            dialog_login.rect_login.height = 220;
            dialog_login.rect_login.radius = 20;
            dialog_login.button_width = 120;
            dialog_login.button_height = 36;
            dialog_login.button_font_size = 20;
            dialog_login.label_title.font.pixelSize = 30;
            dialog_login.label_status.font.pixelSize = 20;
            dialog_login.label_password.anchors.topMargin = 20;
            dialog_login.edit_username.width = 360;
            dialog_login.edit_username.height = 42;

            dialog_signup.rect_signup.width = 600;
            dialog_signup.rect_signup.height = 240;
            dialog_signup.rect_signup.radius = 20;
            dialog_signup.button_width = 120;
            dialog_signup.button_height = 30;
            dialog_signup.button_font_size = 28;
            dialog_signup.button_spacing = 10;
            dialog_signup.label_title.font.pixelSize = 28;
            dialog_signup.label_status.font.pixelSize = 32;
            dialog_signup.label_username.width = 100;
            dialog_signup.label_username.anchors.topMargin = 10;
            dialog_signup.edit_username.width = 400;
            dialog_signup.edit_username.height = 30;


            dialog_connection.width = 400;
            dialog_connection.height = 120;

            dialog_error.dialog_width = 400;
            dialog_error.dialog_height = 280;
            dialog_error.label_title.font.pixelSize = 36;
            dialog_error.label_message.font.pixelSize = 24;
            dialog_error.button_width = 80;
            dialog_error.button_height = 40;
            dialog_error.image_girl_height = 64;

            dialog_update.dialog_width = 400;
            dialog_update.dialog_height = 280;
            dialog_update.label_title.font.pixelSize = 36;
            dialog_update.label_message.font.pixelSize = 24;
            dialog_update.button_width = 120;
            dialog_update.button_height = 60;
            dialog_update.image_girl_height = 64;

            myInfo.height = 64;
            myInfo.width = 200;
            myInfo.label_name.font.pixelSize = 28;
            myInfo.label_chips.font.pixelSize = 24;

        }

    }

}
