Qt.include('httplib.js')

var local_products

function __load_chips_item_from_blackberry_local() {
    console.log("__load_chips_item_from_blackberry_local");
    local_products = [
                {
                    "p_id": 100000,
                    "sku": "bb_holdem_piegames_100k",
                    "name": "100K Chips",
                    "price": "$0.99"
                },
                {
                    "p_id": 100001,
                    "sku": "bb_holdem_piegames_500k",
                    "name": "500K Chips",
                    "price": "$1.99"
                },
                {
                    "p_id": 100002,
                    "sku": "bb_holdem_piegames_1m",
                    "name": "1M Chips",
                    "price": "$2.99"
                },
                {
                    "p_id": 100003,
                    "sku": "bb_holdem_piegames_3m",
                    "name": "3M Chips",
                    "price": "$3.99"
                },
                {
                    "p_id": 100004,
                    "sku": "bb_holdem_piegames_5m",
                    "name": "5M Chips",
                    "price": "$4.99"
                },
                {
                    "p_id": 10005,
                    "sku": "bb_holdem_piegames_10m",
                    "name": "10M Chips",
                    "price": "$6.99"
                },
            ];
    var result = {"result":"ok",
        "products": local_products
    };
    var myJSONText = JSON.stringify(result, null);
    myApp.storeGotChipsSKUs(myJSONText);
}

function __load_chips_item_from_local() {
    console.log("__load_chips_item_from_local");
    local_products = [
                {
                    "p_id": 100000,
                    "sku": "google_holdem_piegames_100k",
                    "name": "100K Chips",
                    "price": "$0.99"
                },
                {
                    "p_id": 100001,
                    "sku": "google_holdem_piegames_500k",
                    "name": "500K Chips",
                    "price": "$1.99"
                },
                {
                    "p_id": 100002,
                    "sku": "google_holdem_piegames_1m",
                    "name": "1M Chips",
                    "price": "$2.99"
                },
                {
                    "p_id": 100003,
                    "sku": "google_holdem_piegames_3m",
                    "name": "3M Chips",
                    "price": "$3.99"
                },
                {
                    "p_id": 100004,
                    "sku": "google_holdem_piegames_5m",
                    "name": "5M Chips",
                    "price": "$4.99"
                },
                {
                    "p_id": 10005,
                    "sku": "google_holdem_piegames_10m",
                    "name": "10M Chips",
                    "price": "$6.99"
                },
            ];
    var result = {"result":"ok",
        "products": local_products
    };
    var myJSONText = JSON.stringify(result, null);
    myApp.storeGotChipsSKUs(myJSONText);
}

function __load_chips_item_from_server() {
    console.log("__load_chips_item_from_server");
    var args = {};
    args.headers = {
        "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("game=holdem2");
    args.options.push("version=" + myApp.getVersionInfo());
    var a = post(myApp.storeGetProductsURL(), args);
    a.onDone.push(function(value, info) {
        myApp.storeGotChipsSKUs(value);
    });
    a.onError.push(function(error, info) {

    });
}

function load_chips_item_from_server() {
    if (myApp.getIAPOfflineMode()) {
        switch (myApp.storeGetAppStoreType()) {
        case "blackberry":
            __load_chips_item_from_blackberry_local();
            break;
        default:
            console.log("unknown store=" + myApp.storeGetAppStoreType());
            break;
        }
    } else {
        __load_chips_item_from_server();
    }
}

function __load_product_detail_from_local(product_id, sku) {
    console.log("__load_proudct_detail_from_local " +  "product_id" + product_id + " sku=" + sku);
    for (var x in local_products) {
        var item = local_products[x];

        if (item.sku === sku) {
            myApp.storeGotProductDetail(item.name, item.price);
        }
    }
}

function __load_product_detail_from_server(product_id, sku) {
    myApp.storeGetSkuDetails(product_id, sku);
}

function load_product_detail(product_id, sku) {
    if (myApp.getIAPOfflineMode()) {
        __load_product_detail_from_local(product_id, sku);
    } else {
        __load_product_detail_from_server(product_id, sku);
    }
}

function __buy_product_local(sku, id, uuid) {
    var receipt ="{'uuid':" + uuid + "}";
    myApp.storeGotPurchaseSuccess("faked_transaction_id", receipt);
}

function __buy_product_server(sku, id, uuid, desc) {
    myApp.storeBuyItem(sku, id, uuid, desc);
}

function buy_product(id, sku, uuid) {
    if (myApp.getIAPOfflineMode()) {
        __buy_product_local(id, sku, uuid);
    } else {
        __buy_product_server(id, sku, uuid);
    }
}

function checkout(sku, price, id, currency_code, desc) {
    console.log("TODO checkout sku="+sku + " price=" + price + " currency_code=" + currency_code);
    var uuid = "";
    if (myApp.getIAPOfflineMode()) {
        uuid = Qt.md5(sku + price);
        myApp.storeLog("checkout success: uuid=" + uuid);
        buy_product(sku, price, uuid, id);
    } else {
        var args = {};
        args.headers = {
           "Content-Type":"application/x-www-form-urlencoded"
        };
        args.options = [];
        args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
        args.options.push("g=" + myApp.getGame());
        args.options.push("sku=" + sku);
        args.options.push("price=" + price);
        args.options.push("email=" + encodeURIComponent(myApp.loginLoadUsername()));
        args.options.push("pass=" + encodeURIComponent(myApp.loginGetPasswordHash()));
        var a = post(myApp.storeGetIAPBaseURL() + "/checkout.php", args);
        a.onDone.push(function(value, info) {
            try {
                myApp.storeLog("value=" + value);
                var jsonObject = JSON.parse(value);
                var result = jsonObject.result;
                if (result === "ok") {
                    buy_product(sku, price, jsonObject.payload, id, desc);
                } else {
                    myApp.storeGotPurchaseFailed("checkout error");
                }
            } catch (e) {
                myApp.storeGotPurchaseFailed("checkout error");
            }
        });
        a.onError.push(function(value, info) {
            myApp.storeGotPurchaseFailed("checkout error");
        });

    }

//    if (myApp.getIAPOfflineMode()) {
//        //TODO: checkout down, gen uuid for purchase
//    } else {
//        //TODO: get uuid from server
//    }
//    myApp.storeCheckoutSuccess(uuid);
}

function confirm(receipt, signature) {
    if (receipt === "")
        return;
    myApp.storeLog("confirm:" + receipt);
    if (myApp.getIAPOfflineMode()) {

    } else {
        var args = {};
        args.headers = {
           "Content-Type":"application/x-www-form-urlencoded"
        };
        args.options = [];
        args.options.push("p="+encodeURIComponent(myApp.getPrivatePW()));
        args.options.push("email="+encodeURIComponent(myApp.loginLoadUsername()));
        args.options.push("pass="+encodeURIComponent(myApp.loginGetPasswordHash()));
        args.options.push("receipt="+encodeURIComponent(receipt));
        args.options.push("signature=" + encodeURIComponent(signature));
        var a = post(myApp.storeGetIAPBaseURL() + "/confirm.php", args);
        a.onDone.push(function(value, info) {
            try {
                myApp.storeLog("confirm value=" + value);
                var jsonObject = JSON.parse(value);
                var result = jsonObject.result;
                if (result === "ok") {
                    myApp.storeDeleteReceipt(jsonObject.token);
                }

            } catch (e) {
                myApp.storeGotPurchaseFailed("confirm error");
            }
        });
        a.onError.push(function(value, info) {
            myApp.storeGotPurchaseFailed("confirm error");
        });
    }
}

function buy_product(sku, price, uuid, id, desc) {
    if (myApp.getIAPOfflineMode()) {
        __buy_product_local(sku, id, uuid);
    } else {
        __buy_product_server(sku, id, uuid, desc);
    }
}

function submitPreviousReceipts() {
    myApp.storeSubmitPreviousReceipts();
}
