Qt.include('httplib.js')

function loadServrListDebug() {
    myApp.authdIPsClear();
    myApp.authdIPsAdd("192.168.0.219");
    myApp.mainmenuLoginDialogShow();
}

function loadServerList() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("g=" + myApp.getGame());
    args.options.push("ch=" + myApp.getChannel());
    args.options.push("co=" + myApp.getCompany());
    args.options.push("c=" + myApp.getClientType());
    args.options.push("v=" + myApp.getVersionInfo());
    var a = post("http://holdem2.piegames.net/ip.php", args);
    a.onDone.push(function(value, info) {
        try {
            var jsonObject = JSON.parse(value);
            myApp.authdIPsClear();
            for (var x in jsonObject.authd) {
                myApp.authdIPsAdd(jsonObject.authd[x]);
            }
            var result = jsonObject.result;
            switch (result) {
            case 0:
                myApp.mainmenuLoginDialogShow();
                break;
            case 1:
                myApp.mainmenuUpdateDialogShow();
                break;
            }
        } catch (e) {
           loadServerListFromBackup();
        }
    });
    a.onError.push(function(error, info) {
        loadServerListFromBackup();
    });
}

function loadServerListFromBackup() {
    var args = {};
    args.headers = {
     "Content-Type":"application/x-www-form-urlencoded"
    };
    args.options = [];
    args.options.push("p=" + encodeURIComponent(myApp.getPrivatePW()));
    args.options.push("g=" + myApp.getGame());
    args.options.push("ch=" + myApp.getChannel());
    args.options.push("co=" + myApp.getCompany());
    args.options.push("c=" + myApp.getClientType());
    args.options.push("v=" + myApp.getVersionInfo());
    var a = post("http://holdem.piegames.net/ip.php", args);
    a.onDone.push(function(value, info) {
        try {
            var jsonObject = JSON.parse(value);
            myApp.authdIPsClear();
            for (var x in jsonObject.authd) {
                myApp.authdIPsAdd(jsonObject.authd[x]);
            }
            var result = jsonObject.result;
            switch (result) {
            case 0:
                myApp.mainmenuLoginDialogShow();
                break;
            case 1:
                myApp.mainmenuUpdateDialogShow();
                break;
            }
        } catch (e) {
        }
    });
    a.onError.push(function(error, info) {
    });
}

function loadMyInfo() {
    if (!myApp.getOfflineMode()) {
        var args = {};
        args.headers = {
         "Content-Type":"application/x-www-form-urlencoded"
        };
        args.options = [];
        args.options.push("pw=" + encodeURIComponent(myApp.getPrivatePW()));
        args.options.push("g=" + myApp.getGame());
        args.options.push("ch=" + myApp.getChannel());
        args.options.push("co=" + myApp.getCompany());
        args.options.push("c=" + myApp.getClientType());
        args.options.push("v=" + myApp.getVersionInfo());
        args.options.push("u=" + encodeURIComponent(myApp.loginLoadUsername()));
        args.options.push("p=" + encodeURIComponent(myApp.loginGetPasswordHash()));
        var a = post("http://holdem2.piegames.net/myinfo.php", args);
        a.onDone.push(function(value, info) {
            try {
                var jsonObject = JSON.parse(value);
                var result = jsonObject.result;
                switch (result) {
                case 0:
                    myApp.mainmenuGotMyInfo(jsonObject.myinfo);
                    break;
                default:
                    myApp.mainmenuLoginFailed();
//                    console.log("unknown result:" + jsonObject.result_text);
                    break;
                }
            } catch (e) {
            }
        });
        a.onError.push(function(error, info) {
        });
    }
}

function fixEmail(str_in) {
    var str_out = str_in.toLowerCase();
    return str_out.replace(/\s/g, '');
}

function register(username, password) {
    if (myApp.getOfflineMode()) {
        myApp.mainmenuRegisterSuccess();
        return;
    }

//    console.log("username=" + username + " password=" + password);

    var xhr = new XMLHttpRequest();
    xhr.open("POST", myApp.getUsrRegisterUrl(), true);
    xhr.setRequestHeader('Content-type', 'application/x-www-form-urlencoded');
    xhr.onreadystatechange = function() {
        if (xhr.readyState === XMLHttpRequest.DONE) {
            var a = JSON.parse(xhr.responseText);
            if (a.result) {
                myApp.mainmenuRegisterSuccess();
            } else {
                myApp.mainmenuRegisterFailed(a.result_text);
            }
        }
    }
    xhr.send("p=" + myApp.getPrivatePW() + "&username=" + username + "&password=" + password + "&n9=" + myApp.mainmenuGetUUID());
}
