import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 400
    height: 300
    property int card_height: 48
    property int name_txt_size: 12
    ListModel {
        id: modelHandRanking

    }

    ListView {
        id: listview
        anchors.fill: parent
        model: modelHandRanking
        clip: true
        delegate: Component {
            Rectangle {
                width: ListView.view.width
                height: root.card_height
                color: index % 2 ? "black":"#292828"
                border.width: 1
                border.color: Qt.lighter(color);
                Row {
                    id: row
                    height: root.card_height
                    spacing: 1
                    Card {
                        height: root.card_height
                        card_id: card1
                    }
                    Card {
                        height: root.card_height
                        card_id: card2
                    }
                    Card {
                        height: root.card_height
                        card_id: card3
                    }
                    Card {
                        height: root.card_height
                        card_id: card4
                    }
                    Card {
                        height: root.card_height
                        card_id: card5
                    }

                    Text {
                        width: root.width - root.card_height * 0.7265 * 5- 5
                        height: parent.height
                        text: name
                        font.bold: false
                        font.pixelSize: name_txt_size
                        color: "white"
                        horizontalAlignment: Text.AlignHCenter
                        verticalAlignment: Text.AlignVCenter
                        wrapMode: Text.WordWrap
                    }
                }
            }
        }
    }

    Component.onCompleted: {
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeRoyalFlush()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getDIAMOND_KING(),
                                    card3: params.getDIAMOND_QUEEN(),
                                    card4: params.getDIAMOND_JACK(),
                                    card5: params.getDIAMOND_10()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeStraightFlush()),
                                    card1: params.getCLUB_9(),
                                    card2: params.getCLUB_8(),
                                    card3: params.getCLUB_7(),
                                    card4: params.getCLUB_6(),
                                    card5: params.getCLUB_5()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeFourOfAKind()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_ACE(),
                                    card3: params.getHEART_ACE(),
                                    card4: params.getSPADE_ACE(),
                                    card5: params.getDIAMOND_KING()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeFullHouse()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_ACE(),
                                    card3: params.getHEART_ACE(),
                                    card4: params.getCLUB_KING(),
                                    card5: params.getDIAMOND_KING()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeFlush()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getDIAMOND_KING(),
                                    card3: params.getDIAMOND_QUEEN(),
                                    card4: params.getDIAMOND_JACK(),
                                    card5: params.getDIAMOND_9()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeStraight()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getHEART_KING(),
                                    card3: params.getSPADE_QUEEN(),
                                    card4: params.getCLUB_JACK(),
                                    card5: params.getDIAMOND_10()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeThreeOfAKind()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_ACE(),
                                    card3: params.getHEART_ACE(),
                                    card4: params.getDIAMOND_KING(),
                                    card5: params.getDIAMOND_QUEEN()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeTwoPair()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_ACE(),
                                    card3: params.getDIAMOND_KING(),
                                    card4: params.getCLUB_KING(),
                                    card5: params.getDIAMOND_QUEEN()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypePair()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_ACE(),
                                    card3: params.getDIAMOND_KING(),
                                    card4: params.getDIAMOND_QUEEN(),
                                    card5: params.getDIAMOND_JACK()
                                });
        modelHandRanking.append({
                                    name: params.getHandTypeString(params.getHandTypeHighCard()),
                                    card1: params.getDIAMOND_ACE(),
                                    card2: params.getCLUB_KING(),
                                    card3: params.getHEART_QUEEN(),
                                    card4: params.getCLUB_JACK(),
                                    card5: params.getDIAMOND_9()
                                });
    }
}
