import QtQuick 1.1
import "../common"

Rectangle {
    id: root
    anchors.fill: parent
    color: "black"
    property alias button_close: btnClose
    property alias label_handranking: lblHandRanking
    property int handranking_card_height: 100
    property int handranking_name_txt_size: 28

    Text {
        id: lblHandRanking
        text: qsTr("Hand Ranking")
        font.bold: true
        font.pixelSize: 14
        color: "white"
        anchors.left: parent.left
        anchors.top: parent.top
    }

    //close button
    ImageButton {
        id: btnClose
		height: 48
		width: height
        source: "../../images/MainMenu/close.png"
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.top: parent.top
        anchors.topMargin: 4
        onClicked: {
            myApp.goMainMenuPage();
        }
    }

    //hand ranking
    HandRanking {
        id: handrankingComponent
        anchors.top: btnClose.bottom
        anchors.left: parent.left
        width: parent.width
        height: parent.height - btnClose.height
        card_height: root.handranking_card_height
        name_txt_size: root.handranking_name_txt_size
    }
}
