import QtQuick 1.1
import "../common"

Rectangle {
    anchors.fill: parent
    color: "black"
    property alias button_close: btnClose
    property alias label_leaderboards: lblLeaderboards
    property alias top20: top20
    property alias myranking: myRanking

    //Label
    Text {
        id: lblLeaderboards
        text: qsTr("Leaderboards")
        font.pixelSize: 14
        color: "white"
        font.bold: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 6
    }


    //close button
    ImageButton {
        id: btnClose
        height: 48
        width: height
        source: "../../images/MainMenu/close.png"
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.top: parent.top
        anchors.topMargin: 4
        onClicked: {
            myApp.goMainMenuPage();
        }
    }

    //top 20
    Top20 {
        id: top20
        width: parent.width
        height: parent.height - myRanking.height - btnClose.height
        anchors.left: parent.left
        anchors.top: btnClose.bottom
        onMyinfo: {
            myRanking.chips = chips;
            myRanking.rank = rank;
            myRanking.offset = offset;
        }
    }

    MyRanking {
        id: myRanking
        height: 30
        anchors.bottom: parent.bottom
        anchors.left: parent.left
        width: parent.width
    }


}
