import QtQuick 1.1

Item {
    id: root
    width: 100
    height: 36
    property alias image_avatar: imgAvatar
    property alias label_chips: txtChips
    property alias label_name: txtName

    Connections {
        target: myApp
    }

    AnimatedImage {
        id: imgAvatar
        source: "../../images/Avatar/1.png"
        height: parent.height
        width: height
        anchors.left: parent.left
        anchors.top: parent.top
    }


    Text {
        id: txtName
        color: "white"
        width: parent.width
        anchors.top: parent.top
        anchors.left: imgAvatar.right
        anchors.leftMargin: 2
        text: "Name"
        font.pixelSize: 14
    }

    Text {
        id: txtChips
        color: "white"
        width: parent.width
        anchors.left: txtName.left
        anchors.top: txtName.bottom
        anchors.topMargin: 2
        text: "Chips"
        font.pixelSize: 12
    }
    function load(name, chips, avatar) {
        txtName.text = name;
        txtChips.text = chips;
        if (myApp.settingsGetAvatarType() === 0) {
            imgAvatar.source = myApp.getAvatarImagePath(myApp.settingsGetAvatarId());
        } else {
            imgAvatar.source = myApp.settingsGetAvatarUrl();
        }
        visible = true;
    }
}
