import QtQuick 1.1

Item {
    id: root
    width: 400
    height: 120
    property int fontSize: 14
    property int buttonWidth: 110
    opacity: 0.9

    signal playnow()
    signal leaderboards()
    signal friends()
    signal support()

    ListView {
        anchors.fill: parent
        orientation: ListView.Horizontal
        model: ListModel {
            ListElement {name:"Play Now"; callback: "playnow"}
            ListElement {name:"Leaderboards"; callback: "leaderboards"}
            ListElement {name:"Friends"; callback: "friends"}
            ListElement {name: "Support"; callback: "support"}
        }
        spacing: 10
        delegate: Component {
            Rectangle {
                id: rect
                border.width: 1
                border.color: "white"
                color: "black"
                radius: 5
                width: root.buttonWidth
                height: parent.height
                state: "up"
                states: [
                    State {
                        name: "up"
                        PropertyChanges {
                            target: rect;color: "black"
                        }
                    },
                    State {
                        name: "down"
                        PropertyChanges {
                            target: rect;color: "yellow"
                        }
                    }

                ]
                Text {
                    text: name
                    color: "white"
                    font.bold: true
                    font.pixelSize: root.fontSize
                    anchors.centerIn: parent
                }
                MouseArea {
                    anchors.fill: rect
                    onClicked: {
                       root[callback]();
                    }
                }
            }
        }

    }
}
