import QtQuick 1.1
import "../common"
import "../Table"

Rectangle {
    id: root
    anchors.fill: parent
    color: "black"
    property int sound_test_id: 0

    //Label
    Text {
        id: lblTitle
        text: qsTr("Research")
        font.pixelSize: 16
        color: "white"
        font.bold: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 6
    }


    //close button
    ImageButton {
        id: btnClose
        height: 36
        width: height
        source: "../../images/MainMenu/close.png"
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.top: parent.top
        anchors.topMargin: 4
        onClicked: {
            myApp.goMainMenuPage();
        }
    }

    SoundManager {
        id: sndPlayer
    }

    Button {
        anchors.centerIn: parent
        text: "Play"
        width: 100
        height: 100
        onClicked: {
            sndPlayer.play(root.sound_test_id);
            root.sound_test_id++;
        }
    }
}
