import QtQuick 1.1

import "../common"
import "../../scripts/utils.js" as UtilsJs

Item {
    id: root
    width: 120
    height: width / 2
    property alias image_avatar: imgAvatar
    signal clicked()
    Rectangle {
        anchors.fill: parent
        opacity: 0.8
        color: myApp.getDebugMode() ? UtilsJs.random_color() : "transparent"
    }

    Text {
        id: lblAvatar
        text: qsTr("Avatar") + ":"
        color: "white"
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: 4
    }

    Rectangle {
        id: btnAvatar
        border.width: 1
        border.color: "lightgrey"
        width: parent.width - lblAvatar.width - anchors.leftMargin
        anchors.left: lblAvatar.right
        anchors.leftMargin: 10
        height: parent.height
        color: "black"
        AnimatedImage {
            id: imgAvatar
            anchors.fill: parent
            anchors.margins: 4
            Component.onCompleted: {
                if (myApp.settingsGetAvatarType() === 0) {
                    source = myApp.getAvatarImagePath(myApp.settingsGetAvatarId());

                } else {
                    source = myApp.settingsGetAvatarUrl();
                }
            }
        }
        MouseArea {
            anchors.fill: parent
            onPressed: {
                root.clicked();
            }
        }
    }
}
