import QtQuick 1.1

import "../common"
import "../../scripts/utils.js" as UtilsJs

Item {
    id: root
    width: 400
    height: editNickname.height + editStatus.height + editStatus.anchors.topMargin
    property alias edit_nickname: editNickname
    property alias edit_status: editStatus
    property alias label_nickname: lblNickname
    property alias label_status: lblStatus
    Rectangle {
        anchors.fill: parent
        opacity: 0.8
        color: myApp.getDebugMode() ? UtilsJs.random_color() : "transparent"
    }

    Text {
        id: lblNickname
        text: qsTr("Nickname") + ":"
        color: "white"
        anchors.verticalCenter: editNickname.verticalCenter
        anchors.left: parent.left
    }

    InputBox {
        id: editNickname
        anchors.left: lblNickname.right
        anchors.leftMargin: 4
        anchors.top: parent.top
        pixelSize: 16
        width: 300
        height: 30
    }

    Text {
        id: lblStatus
        text: qsTr("status") + ":"
        font.pixelSize: lblNickname.font.pixelSize
        anchors.left: lblNickname.left
        anchors.verticalCenter: editStatus.verticalCenter
        color: "white"
    }
    InputBox {
        id: editStatus
        anchors.left: editNickname.left
        anchors.top:  editNickname.bottom
        anchors.topMargin: 4
        width: editNickname.width
        height: editNickname.height
        pixelSize: editNickname.pixelSize
    }
    Component.onCompleted: {
        editNickname.text = myApp.settingsGetNickName()
        editStatus.text = myApp.settingsGetStatus()
    }
}
