import QtQuick 1.1
import "../common"

Rectangle {
    id: root
    anchors.fill: parent
    color: "black"

    property alias label_title: lblTitle
    property alias button_close: btnClose
    property alias group_nickname: groupNickname
    property alias group_avatar: groupAvatar
    property alias dialog_avatar: dlgAvatar

    property alias button_save: btnSave

    property int avatar_type: myApp.settingsGetAvatarType()
    property string avatar_url: myApp.settingsGetAvatarType() === 0 ? myApp.settingsGetAvatarId() : myApp.settingsGetAvatarUrl().replace("file://", "")

    //Label
    Text {
        id: lblTitle
        text: qsTr("Settings")
        font.pixelSize: 14
        color: "white"
        font.bold: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        anchors.topMargin: 6
    }

    //close button
    ImageButton {
        id: btnClose
        height: 24
        width: height
        source: "../../images/MainMenu/close.png"
        anchors.right: parent.right
        anchors.rightMargin: 4
        anchors.top: parent.top
        anchors.topMargin: 4
        onClicked: {
            myApp.goMainMenuPage();
        }
    }
    //nickname
    Nickname {
        id: groupNickname
        anchors.top: btnClose.bottom
        anchors.left: parent.left
        anchors.topMargin: 10
        anchors.leftMargin: 6
    }

    Avatar {
        id: groupAvatar
        anchors.left: parent.left
        anchors.leftMargin: 4
        anchors.top: groupNickname.bottom
        anchors.topMargin: 30
        onClicked: {
            dlgAvatar.open();
        }
    }

    Button {
        id: btnSave
        text: qsTr("Save")
        anchors.right: parent.right
        anchors.bottom: parent.bottom
        anchors.margins: 10
        onClicked: {
//            console.log("avatar_type=" + root.avatar_type + " avatar_url=" + root.avatar_url);
            myApp.settingsSaveData(groupNickname.edit_nickname.text,
                                   groupNickname.edit_status.text,
                                   root.avatar_type,
                                   root.avatar_url);
            myApp.goMainMenuPage();

        }
    }

    AvatarDialog {
        id: dlgAvatar
        onSave: {
            root.avatar_type = avatar_type;
            root.avatar_url = avatar_url.replace("file://", "");
            if (root.avatar_type === 0) {
                groupAvatar.image_avatar.source = myApp.getAvatarImagePath(avatar_url);
            } else {
                groupAvatar.image_avatar.source = root.avatar_url;
                groupAvatar.image_avatar.playing = true;
            }
        }
    }


}
