import QtQuick 1.1
import "../../scripts/utils.js" as UtilsJs

Rectangle {
    id: root
    width: 200
    height: 40
    border.color: "darkgrey"
    color: "black"
    border.width: 1
    property int table_size: btn5p.selected ? params.getTableSize5() : params.getTableSize9()
    property int button_width: 40
    property int button_font_size: 20
    property alias label_title: txt
    Text {
        id: txt
        font.pixelSize: 14
        color: "white"
        text: qsTr("Table Type")
        anchors.verticalCenter: parent.verticalCenter
        anchors.left: parent.left
        anchors.leftMargin: 2
    }

    Rectangle {
        id: btn5p
        height: btn9p.height
        width: btn9p.width
        anchors.top: btn9p.top
        anchors.right: btn9p.left
        color: "darkgrey"
        property bool selected: true
        onSelectedChanged: {
            if (selected) {
                color = "darkgrey";
                txt5p.color = "white"
            } else {
                color = "black";
                txt5p.color = "darkgrey";
            }
        }

        Text {
            id: txt5p
            text: qsTr("5P")
            color: "white"
            anchors.centerIn: parent
            font.bold: true
            font.pixelSize: root.button_font_size
        }
        MouseArea {
            anchors.fill: parent
            onPressed: {
                if (btn5p.selected)
                    return;
                btn5p.selected = true;
                btn9p.selected = false;
            }
        }
    }

    Rectangle {
        id: btn9p
        height: root.height - 1
        width: root.button_width
        anchors.right: parent.right
        anchors.top: parent.top
        anchors.topMargin: 1
        color: "black"
        property bool selected: false
        onSelectedChanged: {
            if (selected) {
                color = "darkgrey";
                txt9p.color = "white"
            } else {
                color = "black";
                txt9p.color = "darkgrey";
            }
        }
        Text {
            id: txt9p
            text: qsTr("9P")
            color: "grey"
            anchors.centerIn: parent
            font.bold: true
            font.pixelSize: txt5p.font.pixelSize
        }
        MouseArea {
            anchors.fill: parent
            onPressed: {
                if (btn9p.selected)
                    return;
                btn9p.selected = true;
                btn5p.selected = false;
            }
        }
    }

    Component.onCompleted: {
        if (myApp.settingsGetTableSize() === params.getTableSize5()) {
            btn5p.selected = true;
            btn9p.selected = false;
        } else {
            btn5p.selected = false;
            btn9p.selected = true;
        }
    }

}
