import QtQuick 1.1

Item {
    id: root
    width: 280
    height: 40
    signal fold()
    signal check()
    signal call()
    signal bet()
    signal raise();
	property int button_width: 80
    Rectangle {
        anchors.fill: parent
        color: "black"
        visible: myApp.getDebugMode()
    }

    ActionButton {
        id: btnFold
        height: parent.height
		width: root.button_width
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        text.text: qsTr("Fold");
        fgColor: "white"
        bgColor: "red"
        onClicked: {
            root.fold();
        }
    }
    ActionButton {
        id: btnCheck
        height: parent.height
		width: root.button_width
        anchors.right: btnBet.left
        anchors.rightMargin: 10
        anchors.bottom: parent.bottom
        text.text: qsTr("Check");
        fgColor: "white"
        bgColor: "blue"
        onClicked: {
            root.check();
        }
    }
    ActionButton {
        id: btnCall
        height: parent.height
		width: root.button_width
        anchors.left: btnCheck.left
        anchors.bottom: btnCheck.bottom
        text.text: qsTr("Call");
        fgColor: "white"
        bgColor: "blue"
        onClicked:  {
            root.call();
        }
    }
    ActionButton {
        id: btnBet
        height: parent.height
		width: root.button_width
        anchors.right: parent.right
        anchors.bottom: btnCheck.bottom
        text.text: qsTr("Bet");
        fgColor: "white"
        bgColor: "fuchsia"
        onClicked: {
            root.bet();
        }
    }
    ActionButton {
        id: btnRaise
        height: parent.height
		width: root.button_width
        anchors.right: btnBet.right
        anchors.bottom: btnCheck.bottom
        text.text: qsTr("Raise");
        fgColor: "white"
        bgColor: "fuchsia"
        onClicked: {
            root.raise();
        }
    }

    function hide() {
        visible = false;
    }

    function show(check, call, bet, raise) {
        btnCheck.visible = false;
        btnBet.visible = false;
        btnCall.visible = false;
        btnRaise.visible = false;

        btnFold.visible = true;
        btnCheck.visible = check;
        btnCall.visible = call;
        btnRaise.visible = raise;
        btnBet.visible = bet;
        visible = true;
    }
}
