import QtQuick 1.1

Item {
    id: root
    width: 80
    height: 40
    property string bgColor: "green"
    property string fgColor: "white"
    property string color: bgColor
    property alias text: txt
    property int radius: 10
    signal clicked

    Rectangle {
        id: background_releeased
        anchors.fill: parent
        gradient: Gradient {
            GradientStop {
                position: 0.0; color: root.color
            }
            GradientStop {
                position: 0.5; color: Qt.darker(root.color)
            }
            GradientStop {
                position: 1.0; color: root.color
            }
        }
        radius: root.radius
    }
    Rectangle {
        id: background_pressed
        anchors.fill: parent
        visible: false
        gradient: Gradient {
            GradientStop {
                position: 0.0; color: Qt.lighter(root.color)
            }
            GradientStop {
                position: 0.5; color: root.color
            }
            GradientStop {
                position: 1.0; color: Qt.lighter(root.color)
            }
        }
        radius: root.radius
    }

    Text {
        id: txt
        anchors.centerIn: parent
        color: root.fgColor
        font.bold: true
        font.pixelSize: root.height * 0.7
    }

    states: [
        State {
            name: "pressed"
            PropertyChanges {
                target: background_pressed
                visible: true
            }
            PropertyChanges {
                target: background_releeased
                visible: false
            }
        },
        State {
            name: "released"
            PropertyChanges {
                target: background_pressed
                visible: false
            }
            PropertyChanges {
                target: background_releeased
                visible: true
            }
        }
    ]
    state: "released"

    MouseArea {
        anchors.fill: parent
        onPressed: {
            //background.color = root.fgColor;
            root.state = "pressed";
        }
        onReleased: {
            //background.color = root.bgColor;
            root.state = "released";
        }

        onClicked: {
            root.clicked();
        }
    }
}
