import QtQuick 1.1

Item {
    id: root
    height: 48
    width: height
    property int to_x: 0
    property int to_y: 0
    property int seat: 0
    property int sku: 0
    visible: false
    signal ended(int a, int b)
    Image {
        id: image
        anchors.fill: parent
//        source: "../../images/Gift/chips.png"
    }
    ParallelAnimation {
        id: animation
        NumberAnimation {
            target: root
            properties: "x"
            to: root.to_x
            duration: 2000
            easing.type: Easing.OutExpo
        }
        NumberAnimation {
            target: root
            properties: "y"
            to: root.to_y
            duration: 2000
            easing.type: Easing.OutExpo
        }
        running: false
        onRunningChanged: {
            if (running === false) {
                root.ended(seat, sku);
                root.destroy();
            }
        }
    }
    function start(start_x, start_y, to_x, to_y, src, seat_id, sku_id) {
        image.source = src;
        x = start_x;
        y = start_y;
        seat = seat_id;
        sku = sku_id;
        root.to_x = to_x;
        root.to_y = to_y;
        visible = true;
        animation.start();
    }
}
