import QtQuick 1.1
import "../common"

Item {
    id: root
    height: 60
    width: height * 1.3
    signal clicked()
    Rectangle {
        id: background
        width: parent.width * 0.5
        height: width
        color: "black"
        border.width: 1
        border.color: "white"
        radius: width / 2
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        Text {
            id: txtBtn
            anchors.centerIn: parent
            anchors.verticalCenterOffset: -2
            font.bold: true
            text: "+"
            color: "white"
            font.pixelSize: root.height * 0.5
        }
    }
    Text {
        id: lblTxt
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.bottom: parent.bottom
        font.pixelSize: root.height * 0.3
        color: "white"
        horizontalAlignment: Text.AlignHCenter
		text: qsTr("not buddy")
    }

    state: "up"

    states: [
        State {
            name: "up"
            PropertyChanges {
                target: background
                color: "black"
            }
            PropertyChanges {
                target: txtBtn
                color: "white"
            }
            PropertyChanges {
                target: lblTxt
                color: "white"
            }
        },
        State {
            name: "down"
            PropertyChanges {
                target: background
                color: "white"
            }
            PropertyChanges {
                target: txtBtn
                color: "black"
            }
        }
    ]

    //文字
    MouseArea {
        anchors.fill: parent
        onClicked: {
            root.clicked();
        }
        onPressed: {
            root.state = "down";
        }
        onReleased: {
            root.state = "up";
        }
    }
    function hide() {
        lblTxt.text = "";
        txtBtn.text = "";
        visible = false;
    }
    function show(status) {
        switch (status) {
        case 1:
            lblTxt.text = qsTr("pending");
            txtBtn.text = "-";
            break;
        case 2:
            lblTxt.text = qsTr("denied");
            txtBtn.text = "-";
            break;
        case 3:
            lblTxt.text = qsTr("approved");
            txtBtn.text = "-";
            break;
        default:
            lblTxt.text = qsTr("not buddy");
            txtBtn.text = "+";
            break;
        }
        visible = true;
    }


}
