import QtQuick 1.1
import "../common"
import "../../scripts/utils.js" as UtilsJs

Item {
    id: root
    height: 40
    width: 400
    signal chat(string s)
    property alias input_box: editChat
    Rectangle {
        anchors.fill: parent
        anchors.verticalCenter: parent.verticalCenter
        color: myApp.getDebugMode() ? UtilsJs.random_color() : "transparent"

        InputBox {
            id: editChat
            width: parent.width - btnCancel.width - btnSend.width
            height: parent.height
            anchors.centerIn: parent
            onAccepted: {
                root.chat(editChat.text);
                close();
            }
        }
        ImageButton {
            id: btnCancel
            width: root.height
            height: width
            source: "../../images/Table/btn_chat_cancel.png"
            anchors.left: parent.left
            anchors.verticalCenter: parent.verticalCenter
            onClicked: {
                close();
            }
        }
        ImageButton {
            id: btnSend
            width: root.height
            height: width
            source: "../../images/Table/btn_chat_send.png"
            anchors.right: parent.right
            anchors.verticalCenter: parent.verticalCenter
            onClicked: {
                root.chat(editChat.text);
                close();
            }
        }
    }
    function open() {
        editChat.text = "";
        editChat.forceActiveFocus();
        visible = true;
    }
    function close() {
        visible = false;
    }
}
