import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 300
    height: 120
    property int chips: 0
    property int radius: rect.radius
    property alias button_close: btnClose
    property alias image_girl: imgGirl
    property alias label_dailybonus: txtDailyLottery
    property alias label_youwon: txtYouWon
    property alias label_chips: txtChips
    property alias label_comebacktomorrow: txtComeBackTomorrow
    signal close()
    Rectangle {
        id: rect
        anchors.fill: parent
        color: "black"
        radius: 10
        Image {
            id: imgGirl
            height: 48
            width: height
            source: "../../images/Table/girl.png"
            anchors.left: parent.left
            anchors.bottom: parent.bottom
        }
        Image {
            id: btnClose
            height: 48
            width: height
            source: "../../images/Table/panel_close.png"
            anchors.right: parent.right
            anchors.top: parent.top
        }
        Text {
            id: txtDailyLottery
            text: qsTr("Daily Lottery")
            color: "white"
            anchors.top: parent.top
            anchors.topMargin: 6
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: 20
        }
        Text {
            id: txtYouWon
            text: qsTr("You won")
            color: "white"
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.verticalCenter: txtChips.verticalCenter
            font.pixelSize: 18
        }
        Text {
            id: txtChips
            color: "lightgreen"
            text: root.chips
            anchors.top: txtDailyLottery.bottom
            anchors.topMargin: 10
            anchors.horizontalCenter: parent.horizontalCenter
            font.pixelSize: 26
        }
        Text {
            id: txtComeBackTomorrow
            text: qsTr("Come back tomorrow <br/> for a chance at $10,000")
            color: "white"
            font.pixelSize: txtYouWon.font.pixelSize
            anchors.bottom: parent.bottom
            anchors.bottomMargin: 3
            anchors.right: parent.right
            anchors.rightMargin: 6
        }

        MouseArea {
            anchors.fill: parent
            onPressed: {
                root.hide();
            }
        }
    }
    function show(c) {
        chips = c;
        visible = true;
    }
    function hide() {
        chips = 0;
        visible = false;
        root.close();
    }
}
