import QtQuick 1.1
import "../common"

Item {
    id: root
    height: 100
    width: card1.width * 5 + row.spacing * 4

    Row {
        id: row
        height: parent.height
        spacing: 2
        Card {
            height: parent.height
            id: card1
            visible: false
        }
        Card {
            height: parent.height
            id: card2
            visible: false
        }
        Card {
            height: parent.height
            id: card3
            visible: false
        }
        Card {
            height: parent.height
            id: card4
            visible: false
        }
        Card {
            height: parent.height
            id: card5
            visible: false
        }
    }

    function clear() {
        card1.hide();
        card2.hide();
        card3.hide();
        card4.hide();
        card5.hide();
    }

    function flop(id1, id2, id3) {
        card1.card_id = id1;
        card2.card_id = id2;
        card3.card_id = id3;
    }

    function turn(id) {
        card4.card_id = id;
    }

    function river(id) {
        card5.card_id = id;
    }

    function highlight(id) {
        card1.highlight_by_id(id);
        card2.highlight_by_id(id);
        card3.highlight_by_id(id);
        card4.highlight_by_id(id);
        card5.highlight_by_id(id);
    }
    function darkCards() {
        card1.be_dark();
        card2.be_dark();
        card3.be_dark();
        card4.be_dark();
        card5.be_dark();
    }
    function beNormal() {
        card1.be_normal();
        card2.be_normal();
        card3.be_normal();
        card4.be_normal();
        card5.be_normal();
    }
    function show(id1, id2, id3, id4, id5) {
        if (id1 > params.getINVALID_CARD()) {
            card1.card_id = id1;
        }
        if (id2 > params.getINVALID_CARD()) {
            card2.card_id = id2;
        }
        if (id3 > params.getINVALID_CARD()) {
            card3.card_id = id3;
        }
        if (id4 > params.getINVALID_CARD()) {
            card4.card_id = id4;
        }
        if (id5 > params.getINVALID_CARD()) {
            card5.card_id = id5;
        }
    }
}
