import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 300
    height: 140
    signal store()
    signal close()
    property alias text_title: txtTitle
    property alias text_or: txtOr
    property alias text_buy_chips: txtBuyChips
    property alias text_wait: txtWaitFor24Hours
    property alias button_close: btnClose
    property alias image_girl: imgGirl
    property alias button_store: imgStore
    Rectangle {
        anchors.fill: parent
        color: "black"
        radius: 10
        Image {
            id: imgGirl
            height: 48
            width: height
            source: "../../images/Table/girl.png"
            anchors.left: parent.left
            anchors.bottom: parent.bottom
        }
        Image {
            id: btnClose
            height: 48
            width: height
            source: "../../images/Table/panel_close.png"
            anchors.right: parent.right
            anchors.top: parent.top
            MouseArea {
                anchors.fill: parent
                onPressed: {
                    root.hide();
                }
            }
        }
        Text {
            id: txtTitle
            text: qsTr("No enough chips")
            color: "white"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 6
            font.pixelSize: 20
        }
        Text {
            id: txtWaitFor24Hours
            text: qsTr("wait 24 hours for free chips")
            color: "white"
            anchors.left: parent.left
            anchors.leftMargin: 10
            anchors.top: txtTitle.bottom
            anchors.topMargin: 10
            font.pixelSize: 18
        }
        Text {
            id: txtOr
            text: qsTr("or")
            color: "lightgreen"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: txtWaitFor24Hours.bottom
            anchors.topMargin: 4
            font.pixelSize: 20
        }
        Item {
            width: txtBuyChips.width  + imgStore.width + imgStore.anchors.rightMargin
            height: imgStore.height
            anchors.top: txtOr.bottom
            anchors.topMargin: 2
            anchors.right: parent.right
            Text {
                id: txtBuyChips
                text: qsTr("buy chips")
                color: "white"
                anchors.right: imgStore.left
                anchors.rightMargin: 2
                anchors.verticalCenter: imgStore.verticalCenter
                font.pixelSize: 24
            }

            Image {
                id: imgStore
                source: "../../images/MainMenu/store.png"
                height: 48
                width: height
                anchors.right: parent.right
                anchors.bottom: parent.bottom
                anchors.bottomMargin: 4
            }
            MouseArea {
                anchors.fill: parent
                onPressed:  {
                    hide();
                    root.store();
                }
            }
        }
    }
    function show() {
        visible = true;
    }

    function hide() {
        visible = false;
        root.close();
    }
}
