import QtQuick 1.1
import "../common"

Flipable {
    id: root
    width: 120
    height: 30
    property alias text_back: txtBack
    property alias text_front: txtFront
    property bool flipped: txtBack.text != ""
    back: Rectangle {
        color: "yellow"
        anchors.fill: parent
        radius: 4
        Text {
            id: txtBack
            font.bold: true
            font.pixelSize: 20
            color: "black"
            width: parent.width
            height: parent.height
            anchors.centerIn: parent
            maximumLineCount: 1
            wrapMode: Text.WrapAnywhere
            horizontalAlignment: Text.AlignHCenter
        }
    }
    front: Rectangle {
        color: "black"
        anchors.fill: parent
        radius: 4
        Text {
            id: txtFront
            font.pixelSize: 20
            color: "white"
            width: parent.width
            height: parent.height
            anchors.centerIn: parent
            maximumLineCount: 1
            wrapMode: Text.WrapAnywhere
            horizontalAlignment: Text.AlignHCenter
        }
    }

    transform: Rotation {
        id: rotation
        origin.x: root.width / 2
        origin.y: root.height / 2
        axis.x: 1
        axis.y: 0
        axis.z: 0
        angle: 0
    }

    transitions: Transition {
        NumberAnimation {
            target: rotation
            property: "angle"
            duration: 140
        }
    }

    states: State {
        name: "back"
        PropertyChanges {
            target: rotation
            angle: 180

        }
        when: root.flipped
    }
}
