import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 300
    height: 140
    property alias text: txt
    property alias button_close: btnClose
    property alias image_girl: imgGirl
    Rectangle {
        anchors.fill: parent
        color: "black"
        radius: 10
        Image {
            id: imgGirl
            height: 48
            width: height
            source: "../../images/Table/girl.png"
            anchors.left: parent.left
            anchors.bottom: parent.bottom
        }
        Image {
            id:btnClose
            height: 48
            width: height
            source: "../../images/Table/panel_close.png"
            anchors.right: parent.right
            anchors.top: parent.top
        }
        Text {
            id: txt
            text: qsTr("Server will shut down for maintenance.")
            color: "white"
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            width: parent.width * 0.8
            maximumLineCount: 2
            font.pixelSize: 20
            anchors.centerIn: parent
            horizontalAlignment: Text.AlignHCenter
        }
    }

    MouseArea {
        anchors.fill: parent
        onClicked: {
            close();
        }
    }

    function open() {
        visible = true;
    }

    function close() {
        visible = false;
    }
}
