import QtQuick 1.1
import GEAudio 1.0

Item {
    id: root
    AudioMixer {
        id: mymixer
        absoluteVolume: 0.5
        enabled: true
        effect: [
            EchoEffect {
                id: masterEcho
                delay: 0.5
                decay: 0.0
            },
            CutOffEffect {
                id: masterCutoff
                cutOff: 1.0
                resonance: 1.0
            }
        ]

        AudioBuffer {
            id: sndPlayerBing
            source: ":/sound/bing.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndCheck
            source: ":/sound/check.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndDailyBonus
            source: ":/sound/daily_bonus.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndCardDeal
            source: ":/sound/deal.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndFold
            source: ":/sound/fold.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndWinner
            source: ":/sound/winner.wav"
            volume: 1.0
        }

        AudioBuffer {
            id: sndRaise
            source: ":/sound/raise.wav"
            volume: 1.0
        }
    }

    function play(i) {
        switch (i) {
        case params.getSoundIdPlayerBing():
            sndPlayerBing.play();
            break;
        case params.getSoundIdCardDeal():
            sndCardDeal.play();
            break;
        case params.getSoundIdDailyBonus():
            sndDailyBonus.play();
            break;
        case params.getSoundIdCheck():
        case params.getSoundIdCall():
            sndCheck.play();
            break;
        case params.getSoundIdWinner():
            sndWinner.play();
            break;
        case params.getSoundIdFold():
            sndFold.play();
            break;
        case params.getSoundIdBet():
        case params.getSoundIdRaise():
            sndRaise.play();
            break;
        }
    }
}
