import QtQuick 1.1
import "../common"

Item {
    id: root
    width: 300
    height: 30
    visible: txtInfo.text != ""
    property alias txt_info: txtInfo
    property alias font: txtInfo.font
    Rectangle {
        anchors.fill: parent
        color: "black"
        radius: 8
    }
    Text {
        id: txtInfo
        text: qsTr("")
        color: "white"
        font.bold: true
        anchors.centerIn: parent
        font.pixelSize: 20
    }
    Timer {
        id: timer
        running: false
        interval: 1400
        onTriggered: {
            hide();
        }
    }

    function show(s, timeout) {
        hide();
        timer.interval = timeout * 1000;
        txtInfo.text = s;
        timer.start();
    }

    function hide() {
        if (timer.running) {
            timer.stop();
        }
        txtInfo.text = "";
    }
}
