import QtQuick 1.1

Item {
    id: root
    width: 60
    height: 60
    signal clicked()
    //按钮
    Rectangle {
        id: background
        color: "black"
        border.width: 1
        border.color: "white"
        width: parent.width - 20
        height: width
        radius: width/2
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.top: parent.top
        Text {
            id: txtBtn
            anchors.centerIn: parent
            font.bold: true
            text: "+"
            color: "white"
            font.pixelSize: 30
        }
        Text {
            id: lblTxt
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: txtBtn.bottom
            anchors.topMargin: 4
            text: qsTr("text")
            width: parent.width
            font.pixelSize: 12
            color: "white"
            horizontalAlignment: Text.AlignHCenter
        }
    }

    state: "up"

    states: [
        State {
            name: "up"
            PropertyChanges {
                target: background
                color: "black"
            }
            PropertyChanges {
                target: txtBtn
                color: "white"
            }
            PropertyChanges {
                target: lblTxt
                color: "white"
            }
        },
        State {
            name: "down"
            PropertyChanges {
                target: background
                color: "white"
            }
            PropertyChanges {
                target: txtBtn
                color: "black"
            }
        }
    ]

    //文字
    MouseArea {
        anchors.fill: parent
        onClicked: {
            root.clicked();
        }
        onPressed: {
            root.state = "down";
        }
        onReleased: {
            root.state = "up";
        }
    }

    function hide() {
        lblTxt.text = "";
        txtBtn.text = "";
        visible = false;
    }
    function show(status) {
        switch (status) {
        case 1:
            lblTxt.text = "pending";
            txtBtn.text = "-";
            break;
        case 2:
            lblTxt.text = "denied";
            txtBtn.text = "-";
            break;
        case 3:
            lblTxt.text = "approved";
            txtBtn.text = "-";
            break;
        default:
            lblTxt.text = "not buddy";
            txtBtn.text = "+";
            break;
        }
        visible = true;
    }
}
