import QtQuick 1.1

Rectangle {
    id: button
    width: 100
    height: 62
    radius: 10
    border.width: 1
    signal clicked()
    property string fontNormalColor: "white"
    property string fontHighlightColor: "black"
    property string normalColor: "black"
    property string hightlightColor: "white"
    property alias text: txtLabel.text
    property alias font: txtLabel.font
    property alias pixelSize: txtLabel.font.pixelSize
    Text {
        id: txtLabel
        text: qsTr("Button")
        font.bold: true
        font.pixelSize: 30
        anchors.centerIn: parent
    }
    MouseArea {
        anchors.fill: parent
        onClicked: {
//            console.log("clicked");
            button.clicked();
        }
        onPressed: {
            button.color = hightlightColor;
            txtLabel.color = fontHighlightColor;
            border.color = fontHighlightColor;
        }
        onReleased: {
            button.color =  normalColor;
            txtLabel.color = fontNormalColor;
            border.color = fontNormalColor;
        }
    }
    Component.onCompleted: {
        button.color = normalColor;
        txtLabel.color = fontNormalColor;
        border.color = fontNormalColor;
    }
}
