import QtQuick 1.1

Flipable {
    id: root
    height: 95
    width: height * 0.726
    property bool flipped: true

    property int card_id: params.getINVALID_CARD()

    onCard_idChanged: {
        if (card_id > params.getINVALID_CARD()) {
            frontImage.source = imgSrcById(card_id);
            frontImage.visible = true;
            be_normal();
            flipped = false;
            visible = true;
        }
    }

//    Rectangle {
//        anchors.fill: parent
//        color: "red"
//    }

    back: Image {
        id: backImage
        anchors.fill: parent
        visible: true
        source: "../../images/Card/back.png"
    }
    front: Image {
        id: frontImage
        anchors.fill: parent
        visible: false
        Rectangle {
            id: imgBlack
            anchors.fill: parent
            radius: 6
            opacity: 0.75
            color: "black"
            visible: false
        }
    }


    transform: Rotation {
        id: rotation
        origin.x: root.width / 2
        origin.y: root.height / 2
        axis.x: 0; axis.y: 1; axis.z: 0
        angle: 0
    }

    states: State {
        name: "back"
        PropertyChanges {
            target: rotation
            angle:180
        }
        when: root.flipped
    }

    transitions: Transition {
        NumberAnimation {
            target: rotation
            property: "angle"
            duration: 140
        }
    }

    function imgSrcById(card) {
        switch (card) {
        case params.getCLUB_ACE():
            return "../../images/Card/club_ace.png";
        case params.getCLUB_2():
            return "../../images/Card/club_2.png";
        case params.getCLUB_3():
            return "../../images/Card/club_3.png";
        case params.getCLUB_4():
            return "../../images/Card/club_4.png";
        case params.getCLUB_5():
            return "../../images/Card/club_5.png";
        case params.getCLUB_6():
            return "../../images/Card/club_6.png";
        case params.getCLUB_7():
            return "../../images/Card/club_7.png";
        case params.getCLUB_8():
            return "../../images/Card/club_8.png";
        case params.getCLUB_9():
            return "../../images/Card/club_9.png";
        case params.getCLUB_10():
            return "../../images/Card/club_10.png";
        case params.getCLUB_JACK():
            return "../../images/Card/club_jack.png";
        case params.getCLUB_QUEEN():
            return "../../images/Card/club_queen.png";
        case params.getCLUB_KING():
            return "../../images/Card/club_king.png";
        case params.getDIAMOND_ACE():
            return "../../images/Card/diamond_ace.png";
        case params.getDIAMOND_2():
            return "../../images/Card/diamond_2.png";
        case params.getDIAMOND_3():
            return "../../images/Card/diamond_3.png";
        case params.getDIAMOND_4():
            return "../../images/Card/diamond_4.png";
        case params.getDIAMOND_5():
            return "../../images/Card/diamond_5.png";
        case params.getDIAMOND_6():
            return "../../images/Card/diamond_6.png";
        case params.getDIAMOND_7():
            return "../../images/Card/diamond_7.png";
        case params.getDIAMOND_8():
            return "../../images/Card/diamond_8.png";
        case params.getDIAMOND_9():
            return "../../images/Card/diamond_9.png";
        case params.getDIAMOND_10():
            return "../../images/Card/diamond_10.png";
        case params.getDIAMOND_JACK():
            return "../../images/Card/diamond_jack.png";
        case params.getDIAMOND_QUEEN():
            return "../../images/Card/diamond_queen.png";
        case params.getDIAMOND_KING():
            return "../../images/Card/diamond_king.png";
        case params.getHEART_ACE():
            return "../../images/Card/heart_ace.png";
        case params.getHEART_2():
            return "../../images/Card/heart_2.png";
        case params.getHEART_3():
            return "../../images/Card/heart_3.png";
        case params.getHEART_4():
            return "../../images/Card/heart_4.png";
        case params.getHEART_5():
            return "../../images/Card/heart_5.png";
        case params.getHEART_6():
            return "../../images/Card/heart_6.png";
        case params.getHEART_7():
            return "../../images/Card/heart_7.png";
        case params.getHEART_8():
            return "../../images/Card/heart_8.png";
        case params.getHEART_9():
            return "../../images/Card/heart_9.png";
        case params.getHEART_10():
            return "../../images/Card/heart_10.png";
        case params.getHEART_JACK():
            return "../../images/Card/heart_jack.png";
        case params.getHEART_QUEEN():
            return "../../images/Card/heart_queen.png";
        case params.getHEART_KING():
            return "../../images/Card/heart_king.png";
        case params.getSPADE_ACE():
            return "../../images/Card/spade_ace.png";
        case params.getSPADE_2():
            return "../../images/Card/spade_2.png";
        case params.getSPADE_3():
            return "../../images/Card/spade_3.png";
        case params.getSPADE_4():
            return "../../images/Card/spade_4.png";
        case params.getSPADE_5():
            return "../../images/Card/spade_5.png";
        case params.getSPADE_6():
            return "../../images/Card/spade_6.png";
        case params.getSPADE_7():
            return "../../images/Card/spade_7.png";
        case params.getSPADE_8():
            return "../../images/Card/spade_8.png";
        case params.getSPADE_9():
            return "../../images/Card/spade_9.png";
        case params.getSPADE_10():
            return "../../images/Card/spade_10.png";
        case params.getSPADE_JACK():
            return "../../images/Card/spade_jack.png";
        case params.getSPADE_QUEEN():
            return "../../images/Card/spade_queen.png";
        case params.getSPADE_KING():
            return "../../images/Card/spade_king.png";
        default:
            return "../../images/Card/back.png";
        }
    }

    function be_normal() {
        imgBlack.visible = false;
    }

    function be_dark() {
        imgBlack.visible = true;
    }

    function highlight_by_id(a_id) {
        if (a_id > params.getINVALID_CARD() && a_id === card_id) {
            be_normal();
        }
    }

    function hide() {
        be_normal();
        card_id = params.getINVALID_CARD();
        flipped = true;
        visible = false;
        opacity = 1;
    }
}
