import QtQuick 1.1

Item {
    id: root
    width: 64
    height: width
    property bool on: true
    onOnChanged: {
        if (on) {
            image.source = on_image_source;
        } else {
            image.source = off_image_source;
        }
    }

    property string on_image_source: ""
    property string off_image_source: ""
    signal didOn()
    signal didOff()

    Image {
        id: image
        anchors.fill: parent
        source: on_image_source
        MouseArea {
            anchors.fill: parent
            onPressed: {
                root.on = !root.on;
                if (root.on) {
                    root.didOn();
                } else {
                    root.didOff();
                }
            }
        }
    }
}
