import QtQuick 1.1

Rectangle {
    id: inputBox
    width: 100
    height: 62
    color: "white"
    radius: 10
    property alias text: txtInput.text
    property alias pixelSize: txtInput.font.pixelSize
    property bool password: false
    signal active()
    signal inactive()
    signal accepted(string msg)
    onPasswordChanged: {
        if (password) {
            txtInput.passwordCharacter = "*"
            txtInput.echoMode = TextInput.Password
        } else {
            txtInput.echoMode = TextInput.Normal
        }
    }

    TextInput {
        id: txtInput
        width: parent.width - 6
        height: parent.height
        anchors.left: parent.left
        anchors.leftMargin: 10
        anchors.top: parent.top
        color: "black"
        onAccepted: {
            closeSoftwareInputPanel();
            inputBox.inactive();
            inputBox.accepted(txtInput.text);
        }
        onFocusChanged: {
            if (focus) {
                inputBox.active();
            }
        }
        Component.onDestruction: {
            txtInput.closeSoftwareInputPanel();
        }
    }

    function activeFocus()
    {
        txtInput.forceActiveFocus();
    }

    function closeSoftwareInputPanel()
    {
        txtInput.closeSoftwareInputPanel();
    }
}
