import QtQuick 1.1
import "../../scripts/utils.js" as UtilsJs

Item {
    id: root
    anchors.fill: parent
    property string text_ok: qsTr("ok")
    property string text_cancel: qsTr("cancel");
    property int dialog_width: 360
    property int dialog_height: 260
    property alias label_title: lblTitle
    property alias label_message: lblMessage
    property int image_girl_height: 64
    property int button_width: 60
    property int button_height: 30
    signal cancel()
    signal ok()
    Rectangle {
        color: "black"
        opacity: 0.8
        anchors.fill: parent
    }
    MouseArea {
        anchors.fill: parent
    }

    Rectangle {
        width: root.dialog_width
        height: root.dialog_height > lblTitle.height + lblMessage.height + 20 + btnOk.height + 10 ? root.dialog_height : lblTitle.height + lblMessage.height + 20 + btnOk.height + 10
        color: myApp.getDebugMode() ? UtilsJs.random_color() : "black"
        anchors.centerIn: parent
        anchors.verticalCenterOffset: -40
        radius: 10
        Image {
            source: "../../images/Table/girl.png"
            anchors.left: parent.left
            anchors.bottom: parent.bottom
            height: root.image_girl_height
            width: height
        }

        Text {
            id: lblTitle
            text: "?"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: parent.top
            anchors.topMargin: 8
            color: "white"
            font.pixelSize: 22
            font.bold: true
        }
        Text {
            id: lblMessage
            text: "message body"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.top: lblTitle.bottom
            anchors.topMargin: 6
            color: "white"
            font.pixelSize: 18
            width: parent.width * 0.9
            wrapMode: Text.WrapAtWordBoundaryOrAnywhere
            horizontalAlignment: Text.AlignHCenter
        }
        Button {
            width: root.button_width
            height: root.button_height
            text: root.text_cancel
            anchors.right: btnOk.left
            anchors.rightMargin: 20
            anchors.bottom: btnOk.bottom
            visible: root.text_cancel > ""
            onClicked: {
                root.cancel();
            }
        }

        Button {
            id: btnOk
            width: root.button_width
            height: root.button_height
            text: root.text_ok
            anchors.right: parent.right
            anchors.bottom: parent.bottom
            anchors.margins: 10
            visible: root.text_ok > ""
            onClicked: {
                root.ok();
            }
        }
    }
    function open(t, m) {
        lblTitle.text = t;
        lblMessage.text = m;
        visible = true;
    }

    function close() {
        visible = false;
    }
}
